summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorOpenStack Proposal Bot <openstack-infra@lists.openstack.org>2016-08-15 16:59:10 +0000
committerOpenStack Proposal Bot <openstack-infra@lists.openstack.org>2016-08-15 16:59:10 +0000
commit4590ed614f2f0b19a8b49048db7f679ffdd70f3d (patch)
tree6be68be3a0d33b84a7080f532e44b3f09ce1fdaa
parent3c76061c2495b1a42cbc54aa4af4addf86cd68df (diff)
Updated from global requirements
Notes
Notes (review): Code-Review+2: Andrey Pavlov <andrey.mp@gmail.com> Workflow+1: Andrey Pavlov <andrey.mp@gmail.com> Verified+2: Jenkins Submitted-by: Jenkins Submitted-at: Mon, 15 Aug 2016 18:56:21 +0000 Reviewed-on: https://review.openstack.org/355569 Project: openstack/ec2-api Branch: refs/heads/master
-rw-r--r--requirements.txt61
-rw-r--r--setup.py3
-rw-r--r--test-requirements.txt25
3 files changed, 47 insertions, 42 deletions
diff --git a/requirements.txt b/requirements.txt
index d565a6c..2acb49d 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -1,31 +1,34 @@
1Babel>=2.3.4 # BSD 1# The order of packages is significant, because pip processes them in the order
2boto>=2.32.1 # MIT 2# of appearance. Changing the order has an impact on the overall integration
3# process, which may cause wedges in the gate later.
4Babel>=2.3.4 # BSD
5boto>=2.32.1 # MIT
3botocore>=1.0.0 # Apache-2.0 6botocore>=1.0.0 # Apache-2.0
4eventlet!=0.18.3,>=0.18.2 # MIT 7eventlet!=0.18.3,>=0.18.2 # MIT
5greenlet>=0.3.2 # MIT 8greenlet>=0.3.2 # MIT
6httplib2>=0.7.5 # MIT 9httplib2>=0.7.5 # MIT
7lxml>=2.3 # BSD 10lxml>=2.3 # BSD
8oslo.config>=3.14.0 # Apache-2.0 11oslo.config>=3.14.0 # Apache-2.0
9oslo.concurrency>=3.8.0 # Apache-2.0 12oslo.concurrency>=3.8.0 # Apache-2.0
10oslo.context>=2.4.0 # Apache-2.0 13oslo.context>=2.6.0 # Apache-2.0
11oslo.db>=4.1.0 # Apache-2.0 14oslo.db>=4.10.0 # Apache-2.0
12oslo.log>=1.14.0 # Apache-2.0 15oslo.log>=1.14.0 # Apache-2.0
13oslo.messaging>=5.2.0 # Apache-2.0 16oslo.messaging>=5.2.0 # Apache-2.0
14oslo.serialization>=1.10.0 # Apache-2.0 17oslo.serialization>=1.10.0 # Apache-2.0
15oslo.service>=1.10.0 # Apache-2.0 18oslo.service>=1.10.0 # Apache-2.0
16oslo.utils>=3.16.0 # Apache-2.0 19oslo.utils>=3.16.0 # Apache-2.0
17Paste # MIT 20Paste # MIT
18PasteDeploy>=1.5.0 # MIT 21PasteDeploy>=1.5.0 # MIT
19pbr>=1.6 # Apache-2.0 22pbr>=1.6 # Apache-2.0
20python-cinderclient>=1.6.0,!=1.7.0,!=1.7.1 # Apache-2.0 23python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
21python-glanceclient>=2.0.0 # Apache-2.0 24python-glanceclient>=2.0.0 # Apache-2.0
22python-keystoneclient>=1.7.0,!=1.8.0,!=2.1.0 # Apache-2.0 25python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
23python-neutronclient>=4.2.0 # Apache-2.0 26python-neutronclient>=4.2.0 # Apache-2.0
24python-novaclient>=2.29.0,!=2.33.0 # Apache-2.0 27python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
25python-openstackclient>=2.1.0 # Apache-2.0 28python-openstackclient>=2.1.0 # Apache-2.0
26Routes>=1.12.3,!=2.0,!=2.1,!=2.3.0;python_version=='2.7' # MIT 29Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
27Routes>=1.12.3,!=2.0,!=2.3.0;python_version!='2.7' # MIT 30Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
28six>=1.9.0 # MIT 31six>=1.9.0 # MIT
29SQLAlchemy>=1.0.10,<1.1.0 # MIT 32SQLAlchemy<1.1.0,>=1.0.10 # MIT
30sqlalchemy-migrate>=0.9.6 # Apache-2.0 33sqlalchemy-migrate>=0.9.6 # Apache-2.0
31WebOb>=1.2.3 # MIT 34WebOb>=1.2.3 # MIT
diff --git a/setup.py b/setup.py
index 7363757..782bb21 100644
--- a/setup.py
+++ b/setup.py
@@ -1,4 +1,3 @@
1#!/usr/bin/env python
2# Copyright (c) 2013 Hewlett-Packard Development Company, L.P. 1# Copyright (c) 2013 Hewlett-Packard Development Company, L.P.
3# 2#
4# Licensed under the Apache License, Version 2.0 (the "License"); 3# Licensed under the Apache License, Version 2.0 (the "License");
@@ -26,5 +25,5 @@ except ImportError:
26 pass 25 pass
27 26
28setuptools.setup( 27setuptools.setup(
29 setup_requires=['pbr'], 28 setup_requires=['pbr>=1.8'],
30 pbr=True) 29 pbr=True)
diff --git a/test-requirements.txt b/test-requirements.txt
index 470b6b7..4cc0f1d 100644
--- a/test-requirements.txt
+++ b/test-requirements.txt
@@ -1,11 +1,14 @@
1coverage>=3.6 # Apache-2.0 1# The order of packages is significant, because pip processes them in the order
2fixtures>=3.0.0 # Apache-2.0/BSD 2# of appearance. Changing the order has an impact on the overall integration
3hacking>=0.11.0,<0.12 # Apache-2.0 3# process, which may cause wedges in the gate later.
4mock>=2.0 # BSD 4coverage>=3.6 # Apache-2.0
5nose # LGPL 5fixtures>=3.0.0 # Apache-2.0/BSD
6oslotest>=1.10.0 # Apache-2.0 6hacking<0.12,>=0.11.0 # Apache-2.0
7pylint==1.4.5 # GPLv2 7mock>=2.0 # BSD
8python-subunit>=0.0.18 # Apache-2.0/BSD 8nose # LGPL
9sphinx>=1.2.1,!=1.3b1,<1.3 # BSD 9oslotest>=1.10.0 # Apache-2.0
10testrepository>=0.0.18 # Apache-2.0/BSD 10pylint==1.4.5 # GPLv2
11testtools>=1.4.0 # MIT 11python-subunit>=0.0.18 # Apache-2.0/BSD
12sphinx!=1.3b1,<1.3,>=1.2.1 # BSD
13testrepository>=0.0.18 # Apache-2.0/BSD
14testtools>=1.4.0 # MIT